package ru.yandex.autotests.directapi.model.api5.campaignsext;

import com.yandex.direct.api.v5.campaignsext.StrategyCpMaximumImpressionsAdd;
import com.yandex.direct.api.v5.general.YesNoEnum;

/**
 * Created by gerdler on 08.09.18.
 */
public class StrategyCpMaximumImpressionsAddMap extends StrategyMaximizeImpressionsAddBaseMap<StrategyCpMaximumImpressionsAddMap> {

    public static final String START_DATE = "startDate";
    public static final String END_DATE = "endDate";
    public static final String AUTO_CONTINUE = "autoContinue";

    public StrategyCpMaximumImpressionsAddMap() {
        super();
        setBean(new StrategyCpMaximumImpressionsAdd());
    }

    public StrategyCpMaximumImpressionsAddMap(StrategyCpMaximumImpressionsAdd strategyCpMaximumImpressionsAdd) {
        super();
        setBean(strategyCpMaximumImpressionsAdd);
    }

    public StrategyCpMaximumImpressionsAddMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public StrategyCpMaximumImpressionsAddMap withStartDate(String startDate) {
        this.put(START_DATE, startDate);
        return this;
    }

    public StrategyCpMaximumImpressionsAddMap withEndDate(String endDate) {
        this.put(END_DATE, endDate);
        return this;
    }

    public StrategyCpMaximumImpressionsAddMap withAutoContinue(YesNoEnum autoContinue) {
        this.put(AUTO_CONTINUE, autoContinue);
        return this;
    }
}
